PACLOG(1)

NUME
paclog - filtrează intrările de jurnal pacman

SINOPSIS
 paclog [opțiuni] [filtre]...   paclog [opțiuni] --pkglist  paclog
(--help|--version)

DESCRIERE
În cazul în care intrarea este furnizată la intrarea standard, aceasta va fi analizată în loc de --logfile. Intrările din jurnal vor fi afișate dacă se potrivesc cu oricare dintre filtrele furnizate. Pentru a afișa intersecția mai multor filtre, acestea pot fi conectate printr-o conductă:

 paclog --after=2015-01-01 | paclog --warnings

OPȚIUNI

--config=ruta
    Stabilește o rută alternativă pentru fișierul de configurare.

--logfile=ruta
    Stabilește o rută alternativă pentru fișierul de jurnal.

--root=ruta
    Stabilește o rădăcină de instalare alternativă.

--sysroot=ruta
    Stabilește o rădăcină alternativă a sistemului. A se vedea pacutils-sysroot(7).

--[no-]color
    Colorează ieșirea. În mod implicit, ieșirea va fi colorată dacă ieșirea standard este un terminal.

--pkglist
    Afișează lista pachetelor instalate în conformitate cu jurnalul.

--help
    Afișează informațiile de utilizare și iese.

--version
    Afișează informațiile despre versiune și iese.

  Filtre

--action=acțiune
    Afișează operațiile pachetului. acțiune trebuie să fie una dintre „install”, „reinstall”, „upgrade”, „downgrade”, „remove”, sau „all”.

--after=data, --before=data
    Afișează intrările după/înainte de data. În cazul în care sunt incluse informații despre secunde sau fus orar, acestea vor fi ignorate în mod silențios, permițând utilizarea ieșirii din «date -I»:

     paclog --after "$(date -Iminutes --date '3 days ago')"

--caller=nume
    Afișează intrările de jurnal de la nume. Poate fi specificată de mai multe ori. Distinge între majuscule și minuscule.

--commandline
    Afișează intrările din linia de comandă înregistrate în stilul «pacman».

--grep=exp-reg
    Afișează intrările din jurnal al căror mesaj se potrivește cu exp-reg.

--package=nume-pachet
    Afișează acțiunile înregistrate care afectează nume-pachet. Poate fi specificată de mai multe ori.

--warnings
    Afișează erorile, avertismentele și notele.

PRECAUȚII
paclog determină dacă trebuie sau nu să citească fișierul jurnal de la intrarea standard pe baza unei verificări simple folosind isatty(3). Dacă paclog este apelat într-un mediu, cum ar fi o funcție de shell sau un script utilizat într-o conductă, în care intrarea standard nu este conectată la un terminal, dar nu are un fișier jurnal de analizat, paclog trebuie apelat cu intrarea standard închisă. Pentru shell-urile compatibile POSIX, acest lucru se poate face cu "<&-".

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.